#!/bin/sh

oneTimeSetUp() {
	# Load the ./play.it library
	export LIB_ONLY=1
	. lib/libplayit2.sh
}

test_icon_full_path() {
	local icon_full_path PLAYIT_WORKDIR CONTENT_PATH_DEFAULT APP_MAIN_ICON
	
	PLAYIT_WORKDIR='/var/tmp/play.it/jazz-jackrabbit-2.t3nm8'
	CONTENT_PATH_DEFAULT='app'
	APP_MAIN_ICON='jazz2.exe'
	icon_full_path=$(icon_full_path 'APP_MAIN_ICON')
	assertEquals '/var/tmp/play.it/jazz-jackrabbit-2.t3nm8/gamedata/app/jazz2.exe' "$icon_full_path"
}
